Bug 138625 - [repocopy] editors/emacs -> editors/emacs22
Summary: [repocopy] editors/emacs -> editors/emacs22
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Boris Samorodov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-09-08 07:20 UTC by Boris Samorodov
Modified: 2009-09-14 09:10 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Boris Samorodov freebsd_committer 2009-09-08 07:20:01 UTC
	The port editors/emacs was upgrade to version 23.1. The previous
	version should exist at least for some time.

Fix: 

Please, do a repocopy editors/emacs -> editors/emacs22 and assign the
	PR back to me. Thanks!

-- 
WBR, bsam
Comment 1 Edwin Groothuis freebsd_committer 2009-09-08 07:20:11 UTC
Responsible Changed
From-To: freebsd-ports-bugs->bsam

Submitter has GNATS access (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2009-09-08 07:20:14 UTC
Maintainer of editors/emacs,

Please note that PR ports/138625 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/138625

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2009-09-08 07:20:18 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 Giorgos Keramidas 2009-09-09 11:14:38 UTC
> BTW, if you approve, would you like to be a maintainer of a new
> port? Thanks!

Hi Boris,

Repo-copying the current editors/emacs to emacs22 is a good idea.  Part
of the delay in my reply was a copy of editors/emacs to editors/emacs22
before the commit.  Now that it's already in the tree, we may have to
repocopy *and* edit the RCS files a bit to strip the emacs23 commits.

But, in principle, I have no objection to the repocopy.

I'll be mostly offline, working from Singapore, until 18 Sep.  So please
go ahead with the repo-copy and any commits you want to make to bring
emacs22 in the tree.  I think it's ok to record me and/or you as the
maintainer of the emacs22 port.

In fact, since you have been doing most of the commits for patches I am
sending, it may even make sense to create an `emacs@freebsd.org' alias
and add me and you.  We should probably ask the admins about it, and see
if they feel ok about it.  Then we can add emacs@freebsd.org as the
maintainer of the ports, and you should be able to approve patches too :)
Comment 5 Boris Samorodov freebsd_committer 2009-09-09 12:02:08 UTC
State Changed
From-To: feedback->repocopy

The maintainer has no objection. Assigning the PR to portmgr. 
Please, do a repocopy and assign the PR back to me. Thanks! 


Comment 6 Boris Samorodov freebsd_committer 2009-09-09 12:02:08 UTC
Responsible Changed
From-To: bsam->portmgr

The maintainer has no objection. Assigning the PR to portmgr. 
Please, do a repocopy and assign the PR back to me. Thanks!
Comment 7 Joe Marcus Clarke freebsd_committer 2009-09-14 07:02:43 UTC
State Changed
From-To: repocopy->open

Repocopy complete. 


Comment 8 Joe Marcus Clarke freebsd_committer 2009-09-14 07:02:43 UTC
Responsible Changed
From-To: portmgr->bsam

Repocopy complete.
Comment 9 Boris Samorodov freebsd_committer 2009-09-14 09:01:00 UTC
State Changed
From-To: open->closed

A repocopy editors/emacs -> editors/emacs22 is completed.
Comment 10 dfilter service freebsd_committer 2009-09-14 09:01:03 UTC
bsam        2009-09-14 08:00:45 UTC

  FreeBSD ports repository

  Modified files:
    editors/emacs22      Makefile distinfo pkg-descr pkg-plist 
    editors/emacs22/files patch-Makefile.in 
                          patch-lispintro-Makefile.in 
                          patch-lispref-Makefile.in 
                          patch-man-Makefile.in patch-src__alloc.c 
  Log:
  A repocopy editors/emacs -> editors/emacs22 is finished.
  
  PR:             ports/138625
  Submitted by:   bsam (me)
  Repocopied by:  portmgr (marcus)
  
  Revision  Changes    Path
  1.85      +0 -0      ports/editors/emacs22/Makefile
  1.17      +0 -0      ports/editors/emacs22/distinfo
  1.7       +0 -0      ports/editors/emacs22/files/patch-Makefile.in
  1.5       +0 -0      ports/editors/emacs22/files/patch-lispintro-Makefile.in
  1.5       +0 -0      ports/editors/emacs22/files/patch-lispref-Makefile.in
  1.4       +0 -0      ports/editors/emacs22/files/patch-man-Makefile.in
  1.5       +0 -0      ports/editors/emacs22/files/patch-src__alloc.c
  1.5       +0 -0      ports/editors/emacs22/pkg-descr
  1.31      +0 -0      ports/editors/emacs22/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"